Name:       perl-Test-Aggregate
Version:    0.363
Release:    2%{?dist}
# lib/Test/Aggregate.pm -> GPL+ or Artistic
# lib/Test/Aggregate/Builder.pm -> GPL+ or Artistic
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Aggregate C<*.t> tests to make them run faster
Source:     http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Test-Aggregate-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Test-Aggregate
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin) >= 1.47
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::Harness) >= 3.09
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.94
# optional tests
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)

### auto-added reqs!
Requires:       perl(FindBin) >= 1.47
Requires:       perl(Test::Harness) >= 3.09
Requires:       perl(Test::NoWarnings)

### auto-added brs!
BuildRequires:  perl(Module::Build) >= 0.35
BuildRequires:  perl(Test::Most) >= 0.21

%{?perl_default_filter}

%description
*WARNING*: this is ALPHA code. The interface is not guaranteed to be
stable.

A common problem with many test suites is that they can take a
long time to run. The longer they run, the less likely you are to run
the tests. This module borrows a trick from 'Apache::Registry' to load
up your tests at once, create a separate package for each test and wraps
each package in a method named 'run_the_tests'. This allows us to load
perl only once and related modules only once. If you have modules which
are expensive to load, this can dramatically speed up a test suite.

%prep
%setup -q -n Test-Aggregate-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.363-2
- Mass rebuild with perl-5.12.0

* Wed Jan 20 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.363-1
- auto-update to 0.363 (by cpan-spec-update 0.01)
- altered br on perl(FindBin) (0 => 1.47)
- added a new br on perl(Module::Build) (version 0.35)
- added a new br on perl(Test::Most) (version 0.21)
- altered br on perl(Test::Simple) (0.74 => 0.94)
- added a new req on perl(FindBin) (version 1.47)
- added a new req on perl(Test::Harness) (version 3.09)
- added a new req on perl(Test::NoWarnings) (version 0)

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.35-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.35-1
- submission

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.35-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
